SlimFTPd Multiple Commands Remote Overflow

2005-07-21T07:42:39
ID OSVDB:18172
Type osvdb
Reporter Raphaël Rigo(ml-bugtraq@twilight-hall.net)
Modified 2005-07-21T07:42:39

Description

Vulnerability Description

A local overflow exists in SlimFTPd. The LIST, DELE and RNFR commands fail to validate a string argument resulting in a stack overflow. With a specially crafted command, an attacker can cause arbitrary code execution resulting in a loss of integrity.

Technical Description

An attacker must supply valid authentication credentials in order to exploit this vulnerability.

Solution Description

Upgrade to version 3.17 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

Short Description

A local overflow exists in SlimFTPd. The LIST, DELE and RNFR commands fail to validate a string argument resulting in a stack overflow. With a specially crafted command, an attacker can cause arbitrary code execution resulting in a loss of integrity.

References:

Vendor URL: http://www.whitsoftdev.com/slimftpd/ Security Tracker: 1014542 Secunia Advisory ID:16177 Mail List Post: http://archives.neohapsis.com/archives/bugtraq/2005-07/0408.html Mail List Post: http://archives.neohapsis.com/archives/bugtraq/2005-07/0348.html Mail List Post: http://archives.neohapsis.com/archives/bugtraq/2005-07/0378.html ISS X-Force ID: 21480 CVE-2005-2373